Skip to content

Get a Vendor

Request

Get a vendor by ID

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
vendor_idintegerrequired

Numeric ID of the vendor to get

GET
/vendors/{vendor_id}
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/vendors/{vendor_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Vendor response

Bodyapplication/json
dataobject(vendor)
metaobject(single_metadata)
Response
{ "data": { "id": 0, "version": 0, "name": "string", "adx_approved": true, "adx_declaration_required": true, "adx_vendor_identifier": "string", "mm_contract_available": true, "rate_card_price": 999999999.9999, "rate_card_type": "CPM", "wholesale_price": 999999999.9999, "is_eligible": true, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "description": "string", "vendor_type": "AD_SERVER", "code": "string", "adx_ssl_approved": true, "adx_video_ssl_approved": true, "adx_video_approved": true, "auto_tag_display": true, "provider_tax": 999999.999999, "set_by": "string" }, "meta": { "status": "success" } }